Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class CertID

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ocsp.CertID

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CertID
extends ASN1Object

Constructor Summary
`CertID(AlgorithmIdentifier hashAlgorithm, ASN1OctetString issuerNameHash, ASN1OctetString issuerKeyHash, ASN1Integer serialNumber)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`AlgorithmIdentifier` | `getHashAlgorithm()`
`static CertID` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static CertID` | `getInstance(java.lang.Object obj)`
`ASN1OctetString` | `getIssuerKeyHash()`
`ASN1OctetString` | `getIssuerNameHash()`
`ASN1Integer` | `getSerialNumber()`
`int` | `hashCode()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertID

    public CertID(AlgorithmIdentifier hashAlgorithm,
                  ASN1OctetString issuerNameHash,
                  ASN1OctetString issuerKeyHash,
                  ASN1Integer serialNumber)

Method Detail

### getInstance

    public static CertID getInstance(ASN1TaggedObject obj,
                                     boolean explicit)

### getInstance

    public static CertID getInstance(java.lang.Object obj)

### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

### getIssuerNameHash

    public ASN1OctetString getIssuerNameHash()

### getIssuerKeyHash

    public ASN1OctetString getIssuerKeyHash()

### getSerialNumber

    public ASN1Integer getSerialNumber()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `ASN1Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ASN1Object`

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. CertID ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier, issuerNameHash OCTET STRING, -- Hash of Issuer's DN issuerKeyHash OCTET STRING, -- Hash of Issuers public key serialNumber CertificateSerialNumber }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD